## ros2-performance-test-fixture 0.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(performance_test_fixture CXX)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(BUILD_SHARED_LIBS TRUE CACHE BOOL "Build shared libraries")

# find dependencies
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)
find_package(ament_cmake_export_targets REQUIRED)
find_package(ament_cmake_test REQUIRED)
find_package(benchmark REQUIRED)
find_package(osrf_testing_tools_cpp REQUIRED)

add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<INSTALL_INTERFACE:include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)

target_link_libraries(${PROJECT_NAME} PUBLIC
  benchmark::benchmark
  osrf_testing_tools_cpp::memory_tools)

target_compile_definitions(${PROJECT_NAME} PRIVATE
  "PERFORMANCE_TEST_FIXTURE_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME})

ament_export_targets(${PROJECT_NAME})
ament_export_dependencies(
  ament_cmake_google_benchmark benchmark osrf_testing_tools_cpp)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  set(performance_test_fixture_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
  add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})
  include(performance_test_fixture-extras.cmake)

  add_performance_test(
    benchmark_malloc_realloc
    test/benchmark/benchmark_malloc_realloc.cpp
    TIMEOUT 90)

  # Bypassing performance_test_fixture to avoid LD_PRELOAD of
  # osrf_testing_tools_cpp
  set(_no_mem_tools_skip_arg)
  if(TARGET benchmark_malloc_realloc)
    get_target_property(ARG_SKIP_RETURN_CODE benchmark_malloc_realloc SKIP_RETURN_CODE)
    if(ARG_SKIP_RETURN_CODE)
      set(_no_mem_tools_skip_arg SKIP_TEST)
    endif()
  else()
    set(_no_mem_tools_skip_arg SKIP_TEST)
  endif()
  ament_add_google_benchmark(
    benchmark_malloc_realloc_no_memory_tools
    test/benchmark/benchmark_malloc_realloc_no_memory_tools.cpp
    ${_no_mem_tools_skip_arg}
    TIMEOUT 60)

  add_performance_test(
    benchmark_pause_resume
    test/benchmark/benchmark_pause_resume.cpp)
endif()

ament_package(
  CONFIG_EXTRAS_POST "${PROJECT_NAME}-extras.cmake"
)

=== debian/changelog ===
ros2-performance-test-fixture (0.0.9-1) unstable; urgency=medium

  * New upstream version 0.0.9
  * Refresh patches
    - Drop Fix-FTBFS-with-GCC-12.patch (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Tue, 26 Jul 2022 22:09:04 +0200

ros2-performance-test-fixture (0.0.8-3) unstable; urgency=medium

  * Fix FTBFS with GCC-12

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jun 2022 21:07:43 +0200

ros2-performance-test-fixture (0.0.8-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Jun 2022 11:35:12 +0200

ros2-performance-test-fixture (0.0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1011979)

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 23:03:18 +0200

=== debian/control ===
Source: ros2-performance-test-fixture
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 ament-lint <!nocheck>,
 cmake,
 dh-ros,
 libbenchmark-dev,
 libosrf-testing-tools-cpp-dev,
 python3-ament-cmake-google-benchmark <!nocheck>,
Homepage: https://github.com/ros2/performance_test_fixture
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture
Description: Performance test fixture for ROS 2 benchmarks
 This package is part of ROS 2, the Robot Operating System.
 The performance test fixture provides a framework to run Google Benchmark
 driven performance tests for your ROS 2 packages.

Package: libperformance-test-fixture0d
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the shared library.

Package: libperformance-test-fixture-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libosrf-testing-tools-cpp-dev,
 libperformance-test-fixture0d (= ${binary:Version}),
 python3-ament-cmake-google-benchmark,
Description: ${source:Synopsis} (development headers)
 ${source:Extended-Description}
 .
 This package installs the development headers and CMake config files.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_ARGS = -DPERFORMANCE_TEST_FIXTURE_SOVERSION=0d

%:
	dh $@ --buildsystem=ros

## ros2-performance-test-fixture 0.2.0

=== debian/changelog ===
ros2-performance-test-fixture (0.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libbenchmark1.8.3

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Jan 2024 15:43:11 +0000

ros2-performance-test-fixture (0.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.2.0
  * Refresh patches
  * Bump Standards-Version to 4.6.2
  * Add hardening flags to build

 -- Timo Röhling <roehling@debian.org>  Sat, 24 Jun 2023 20:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libosrf-testing-tools-cpp-dev,
  python3-ament-cmake-google-benchmark <!nocheck>,
 Homepage: https://github.com/ros2/performance_test_fixture
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture

## ros2-performance-test-fixture 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
 project(performance_test_fixture CXX)
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")

=== debian/changelog ===
ros2-performance-test-fixture (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 18:25:16 +0200

ros2-performance-test-fixture (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:37:44 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libosrf-testing-tools-cpp-dev,
  python3-ament-cmake-google-benchmark <!nocheck>,
 Homepage: https://github.com/ros2/performance_test_fixture
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-performance-test-fixture

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_CONFIGURE_ARGS = -DPERFORMANCE_TEST_FIXTURE_SOVERSION=0d

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/ros2/performance_test_fixture/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
